@import "~bootstrap/scss/bootstrap";
@import '~@fortawesome/fontawesome-free/scss/fontawesome';

* {
    padding: 0;
    margin: 0;
}
#addTaskModal textarea{
    resize: none;
    padding: 10px 15px;
}
.card {
    position: relative;
    .card-header > .btn-link{
        color: #333;
    }
    .edit-block {
        float: right;
        padding: 0 5px;
        svg {
            margin: 2px 5px;
            cursor: pointer;
        }
    }
}
/*------------ CHECKBOX -------------*/
  .toggle-switch label {
    padding: 0;
  }
  input#cb-switch {
    display: none;
  }
  .toggle-switch label input + span {
        position: relative;
        cursor: pointer;
      display: inline-block;
      margin-right: 10px;
      width: 100px;
      height: 35px;
      background: #bdc1c8;
      border: 1px solid #eee;
      border-radius: 50px;
      transition: all 0.3s ease-in-out;
      box-shadow: inset 0 0 5px #828282;
  }
  .toggle-switch label input + span small {
      position: absolute;
      display: block;
      width: 2rem;
      height: 2rem;
      border-radius: 1.875rem;
      background: #fff;
      transition: all 0.3s ease-in-out;
      top: 1px;
      left: 0.2rem;
  }
  .toggle-switch label input:checked + span {
    background-color: $success;
  }
  .toggle-switch label input:checked + span small{
      left: 3.7rem;
      transition: left .25s;
  }
  .toggle-switch span:after {
    content: "Выполнена";
    line-height: 2.2rem;
      width: auto;
      padding: 0 5px;
      text-align: center;
      font-weight: 600;
      font-size: 1rem;
      letter-spacing: 1px;
      position: absolute;
      bottom: 0;
      transition: opacity .25s;
      left: 6rem;
      opacity: 0.5;
      color: #6b7381;
  }
  .toggle-switch label input:checked + span:after {
    opacity: 1;
  }
